Skip to main content
GET
/
api
/
conversations
/
{conversation_id}
/
events
/
search
Search Conversation Events
curl --request GET \
  --url https://api.example.com/api/conversations/{conversation_id}/events/search \
  --header 'X-Session-API-Key: <api-key>'
{
  "items": [
    {
      "tool_call_id": "<string>",
      "title": "<string>",
      "kind": "<string>",
      "id": "<string>",
      "timestamp": "<string>",
      "source": "agent",
      "status": "<string>",
      "tool_kind": "<string>",
      "raw_input": null,
      "raw_output": null,
      "is_error": false
    }
  ],
  "next_page_id": "<string>"
}

Authorizations

X-Session-API-Key
string
header
required

Path Parameters

conversation_id
string<uuid>
required

Query Parameters

page_id
string | null
limit
integer
default:100
kind
string | null
source
string | null
body
string | null
sort_order
enum<string>
default:TIMESTAMP

Enum for event sorting options.

Available options:
TIMESTAMP,
TIMESTAMP_DESC
timestamp__gte
string<date-time> | null
timestamp__lt
string<date-time> | null

Response

Successful Response

items
(ACPToolCallEvent · object | Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | HookExecutionEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | TokenEvent · object | PauseEvent · object)[]
required

Event representing a tool call executed by an ACP server.

Captures the tool name, inputs, outputs, and status from ACP ToolCallStart / ToolCallProgress notifications so they can be surfaced in the OpenHands event stream and visualizer.

This is not an LLMConvertibleEvent — ACP tool calls do not participate in LLM message conversion.

next_page_id
string | null